GET /blockscout/transactions/{transaction_hash}/summary

Path Parameters

transaction_hash string required path

Responses

200 Human-Readable Transaction Summary
application/json
success boolean REQUIRED
data object REQUIRED
summaries object[]
Array of:
summary_template string REQUIRED
Summary template
summary_template_variables object REQUIRED
action_type object REQUIRED
type string REQUIRED
Variable type
value string REQUIRED
Action Type
amount object REQUIRED
type string REQUIRED
Currency type
value string REQUIRED
Value
token object REQUIRED
type string REQUIRED
Type
value object REQUIRED
address string REQUIRED
Token Address
circulating_market_cap string REQUIRED
Token circulating market cap
decimals string REQUIRED
Token decimals
exchange_rate string REQUIRED
Token exchange rate
holders string REQUIRED
Token holders amount
icon_url string REQUIRED
Token image URL
name string REQUIRED
Token name
symbol string REQUIRED
Token symbol
total_supply string REQUIRED
Token total supply
type string REQUIRED
Token type
volume_24h string REQUIRED
Token trading volume for past 24h
400 Bad Input Parameter
curl -X GET 'https://data-api.b3.fun//blockscout/transactions/string/summary'
const response = await fetch('https://data-api.b3.fun//blockscout/transactions/string/summary', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
import requests

response = requests.get('https://data-api.b3.fun//blockscout/transactions/string/summary')
print(response.json())
200 Response
{
  "success": true,
  "data": {
    "summaries": [
      {
        "summary_template": "{action_type} of {amount} {token}",
        "summary_template_variables": {
          "action_type": {
            "type": {},
            "value": {}
          },
          "amount": {
            "type": {},
            "value": {}
          },
          "token": {
            "type": {},
            "value": {}
          }
        }
      }
    ]
  }
}
GET /blockscout/transactions/{transaction_hash}/summary
Ask a question... ⌘I